/*
 *  Kylin security execute control
 *
 *  This file contains status relate apis for Kylin
 *  security exectl
 *
 *  Authors:  songchuanfei <songchuanfei@kylinos.cn>
 *  Authors:  huanfuxi <huanfuxi@kylinos.cn>
 *  Authors:  mengyuan <mengyuan@kylinos.cn>
 *
 *  Copyright (C) 2017,Tianjin KYLIN Information Technology Co., Ltd.
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the
 *  Free Software Foundation, Inc., 51 Franklin St, Fifth Floor,
 *  Boston, MA 02110-1301, USA.
 */
#ifndef _KYSEC_STATUS_H_
#define _KYSEC_STATUS_H_
#ifdef __cplusplus
extern "C" {
#endif


/* func status */
enum{
	FUNC_DISABLED=0,	//disabled
	FUNC_ENABLED,		//enabled
};

/* func ids */
enum{
	FUNC_EXECTL=0,		// execute control
	FUNC_FPRO,		// file protection
	FUNC_KMOD,		// kernel module protection
	FUNC_3ADM,		// 3 admin
	FUNC_MAX
};


#define KYSEC_STATUS_DISABLED	0
#define KYSEC_STATUS_NORMAL	2
#define KYSEC_STATUS_SOFTMODE	4

extern int kysec_setstatus (int value);
extern int kysec_getstatus (void);

extern int kysec_get_func_status (int func_id);
extern int kysec_set_func_status (int func_id, int status);

#define kysec_get_3adm_status()	kysec_get_func_status(FUNC_3ADM)

#ifdef __cplusplus
}
#endif
#endif
